Package org.apache.torque.generator.configuration

## Class PackageResourcesTest

- java.lang.Object
- - org.apache.torque.generator.configuration.PackageResourcesTest

-     public class PackageResourcesTest
      extends Object

  Tests for the class PackageResources.
  Version:
    $Id: ClasspathConfigurationProviderTest.java 1456694 2013-03-14 21:54:47Z tfischer $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PackageResourcesTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testFileNamesInDirectory()` |
    `void` | `testFileNamesInDirectorySearchSubdirectories()` |
    `void` | `testFileNamesInDirectorySuffixNull()` |
    `void` | `testFileNamesInJarDirectory()` |
    `void` | `testFileNamesInJarDirectorySearchSubdirectories()` |
    `void` | `testFileNamesInJarDirectorySuffixNull()` |
    `void` | `testGetJarFilesAndDirectories()` | Testet, dass ein Paket in mehreren Jar files und directories gefunden wird, wenn der Pfad nicht mit einem Slash anfängt und endet.
    `void` | `testGetJarFilesAndDirectoriesSlashes()` | Testet, dass ein Paket in mehreren Jar files und directories gefunden wird, wenn der Pfad mit einem Slash anfängt und endet.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageResourcesTest

          public PackageResourcesTest()

  - ### Method Detail

    - #### testGetJarFilesAndDirectories

          public void testGetJarFilesAndDirectories()
                                             throws Exception

      Testet, dass ein Paket in mehreren Jar files und directories gefunden wird, wenn der Pfad nicht mit einem Slash anfängt und endet.
      Throws:
        `Exception` - wenn der Test Fehlschlägt.

    - #### testGetJarFilesAndDirectoriesSlashes

          public void testGetJarFilesAndDirectoriesSlashes()
                                                    throws Exception

      Testet, dass ein Paket in mehreren Jar files und directories gefunden wird, wenn der Pfad mit einem Slash anfängt und endet.
      Throws:
        `Exception` - wenn der Test Fehlschlägt.

    - #### testFileNamesInDirectory

          public void testFileNamesInDirectory()

    - #### testFileNamesInDirectorySearchSubdirectories

          public void testFileNamesInDirectorySearchSubdirectories()

    - #### testFileNamesInDirectorySuffixNull

          public void testFileNamesInDirectorySuffixNull()

    - #### testFileNamesInJarDirectory

          public void testFileNamesInJarDirectory()
                                           throws Exception

      Throws:
        `Exception`

    - #### testFileNamesInJarDirectorySearchSubdirectories

          public void testFileNamesInJarDirectorySearchSubdirectories()
                                                               throws Exception

      Throws:
        `Exception`

    - #### testFileNamesInJarDirectorySuffixNull

          public void testFileNamesInJarDirectorySuffixNull()
                                                     throws Exception

      Throws:
        `Exception`